# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXPrint, DXPrintV

Function

Print an Object according to specified formatting options.

Syntax
`
#include <dx/dx.h>
`

Error DXPrint(Object o, char *options, ...)
Error DXPrintV(Object o, char *options, char **components)

Functional Details

In the case of `DXPrint`, the arguments following `options` should consist of a `NULL`-terminated list of strings. These strings specify the components of a Field to which the options should be applied. Alternatively, the components may all be specified together in a `NULL`-terminated Array of strings and supplied as the `components` argument to `DXPrintV`.

If `components` is not specified or is `NULL`, the formatting options are applied to all components.

If `o` is a Group or other Object capable of containing another Object, then it is traversed in a depth-first order, and the appropriate printing options are applied for the particular Object currently being visited. If the Object being printed is not a Field, then the specified component names are ignored.

The formatting options are:

- r - Recursively traverse the Object.
- o - Print only the top level of the Object.
- d - Print first and last 25 items in Arrays, as well as headers.
- D - Print all the items in Arrays as well as headers.
- x - Print in expanded form rather than compact form.
- n - Print Object to n levels.

See also Print in IBM Visualization Data Explorer User's Reference.

Return Value

Returns `OK` or returns `NULL` and sets an error code.

See Also

`DXTypeSize, DXCategorySize, DXGetType`

"Setting Data Types".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]